Spring的applicationContext.xml总配置错误

poisson0106 2013-01-31 05:28:35
如题,总是显示lineNumber: 6; columnNumber: 68; cvc-elt.1: 找不到元素 'beans' 的声明。
代码如下

<?xml version="1.0" encoding="UTF-8"?>
<beans
xmls="http://www.springframework.org/schema/beans"
xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xsi:schemaLocation="http://www.springframework.org/schema/beans
http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">
<bean id="imp" class="com.sjw.app.Bird" />
</beans>
...全文
196 4 点赞 打赏 收藏 举报
写回复
4 条回复
切换为时间正序
当前发帖距今超过3年,不再开放新的回复
发表回复
poisson0106 2013-02-01
引用 3 楼 woshiliubei3 的回复:
你的xmls="http://www.springframework.org/schema/beans"少了个"n" 应该是xmlns="http://www.springframework.org/schema/beans" 果断接分
给力啊,我使用eclipse自动补完的怎么会出错好奇怪,给你分~
  • 打赏
  • 举报
回复
woshiliubei3 2013-02-01
你的xmls="http://www.springframework.org/schema/beans"少了个"n" 应该是xmlns="http://www.springframework.org/schema/beans" 果断接分
  • 打赏
  • 举报
回复
poisson0106 2013-01-31
引用 1 楼 fangmingshijie 的回复:
IDE没有引入xsd文件,没联网吧
IDE怎么引入XSD,网的话一直接着啊。
  • 打赏
  • 举报
回复
IDE没有引入xsd文件,没联网吧
  • 打赏
  • 举报
回复
相关推荐
发帖
Java EE
加入

6.7w+

社区成员

J2EE只是Java企业应用。我们需要一个跨J2SE/WEB/EJB的微容器,保护我们的业务核心组件(中间件),以延续它的生命力,而不是依赖J2SE/J2EE版本。
申请成为版主
帖子事件
创建了帖子
2013-01-31 05:28
社区公告
暂无公告